//
// util.cpp
//     Utility functions needed here and there.
//
// Author:  Jens Wilberg, Lukas Aymans, Christoph Dalitz
// Date:    2018-08-30
// License: see ../LICENSE
//

#include "util.h"
#include <sstream>
#include <stdexcept>

//-------------------------------------------------------------------
// converts *str* to double.
// If str is not a number a invalid_argument exception is thrown.
//-------------------------------------------------------------------
double stod(const char* str) {
  double result;
  std::istringstream iss(str);

  iss >> std::ws >> result;
  if (iss.fail() || !iss.eof()) {
    throw std::invalid_argument("not a number");
  }
  return result;
}
